Answered

Unable to activate after update to new version

Hi,


after updating to Altaro Physical Server backup version 2.0.0.156 I'm unable to active using any freeware key I was send by email (ether old one from previous version that was installed or new one send after download).


Quick message I've seen for a split second is Invalid key.


Could you advice me how to proceed?


Thanks


Michal



Best Answer

This was regarding the version of Microsoft .NET Framework actually, not of Altaro Michal :)

You will require Microsoft .NET Framework 4.7 and all it's latest updates for this to work.


If you are unable to install that on your server then I'd recommend getting in touch with your IT admin to allow this update and Altaro Backups should work fine after that.


Thanks!


Hi Michal, can you please try to register for a new v2.0 key here:

https://www.altaro.com/free-physical-server-backup/ 


If that does not work please let us know :)

Hi Matt,

 

thanks for answer. I requested new key, but result is same. After entering key licensing windows will not disappear and web still requires license key. 

 

Michal

Could you please ensure that you have all the latest updates for .NET 4.7 please?

Try a repair / reinstall of .NET 4.7 and run all updates for it please and let me know if that helps.

Unfortunatly I'm not able to manipulate very much with given server right now (can't restart it on demant, etc.) BUT I've run console in Internet Explorer (while currently not supported) it shows correct version and does not show any issue with licence.


Only issue it has is that it detects newer version available even thou I have current version (and does not show version number available).


So ... I tried to use CTRL+F5 in Firefox when in Altaro console and everything seems fine now ... exept it has same issue with detecking update on non existing version.


I hope it helps in improving your solution.

Answer

This was regarding the version of Microsoft .NET Framework actually, not of Altaro Michal :)

You will require Microsoft .NET Framework 4.7 and all it's latest updates for this to work.


If you are unable to install that on your server then I'd recommend getting in touch with your IT admin to allow this update and Altaro Backups should work fine after that.


Thanks!

Hi Matt,


4.7 .NET is on the server. You suggested reinstall/repair + updates. 4.7 .NET installer from MS refused to do anytihing 'cos version or newer already installed. 


But since it's a production server "while altaro is secondary backup solution" I have to be carefull about actions that might require me to reboot server.


So I didn't want to experinet with 4.7 .NET reinstalation too much.


Michal

Login or Signup to post a comment

© Altaro All rights reserved.